summaryrefslogtreecommitdiff
path: root/lib/cli.zsh
diff options
context:
space:
mode:
authorTuowen Zhao <ztuowen@gmail.com>2020-05-29 11:01:03 -0600
committerTuowen Zhao <ztuowen@gmail.com>2020-05-29 11:01:03 -0600
commita3be2e4084285d7625e63bfe4b951c58143e3c9c (patch)
treea018be4daef44a51b91477f38da514867659c7d6 /lib/cli.zsh
parent191e14cc7f63c4525a0f66d571416faf9e91a185 (diff)
parent93cc3964e2d265ab0571298d69d2eed0a65d13f2 (diff)
downloadzsh-a3be2e4084285d7625e63bfe4b951c58143e3c9c.tar.gz
zsh-a3be2e4084285d7625e63bfe4b951c58143e3c9c.tar.bz2
zsh-a3be2e4084285d7625e63bfe4b951c58143e3c9c.zip
Merge branch 'master' of https://github.com/ohmyzsh/ohmyzsh
Diffstat (limited to 'lib/cli.zsh')
-rw-r--r--lib/cli.zsh8
1 files changed, 4 insertions, 4 deletions
diff --git a/lib/cli.zsh b/lib/cli.zsh
index 8c0fabb82..e25a9f0b1 100644
--- a/lib/cli.zsh
+++ b/lib/cli.zsh
@@ -103,7 +103,7 @@ EOF
function _omz::pr::clean {
(
set -e
- cd -q "$ZSH"
+ builtin cd -q "$ZSH"
_omz::log info "removing all Oh My Zsh Pull Request branches..."
command git branch --list 'ohmyzsh/pull-*' | while read branch; do
@@ -126,7 +126,7 @@ function _omz::pr::test {
# Save current git HEAD
local branch
- branch=$(cd -q "$ZSH"; git symbolic-ref --short HEAD) || {
+ branch=$(builtin cd -q "$ZSH"; git symbolic-ref --short HEAD) || {
_omz::log error "error when getting the current git branch. Aborting..."
return 1
}
@@ -136,7 +136,7 @@ function _omz::pr::test {
# If any of these operations fail, undo the changes made
(
set -e
- cd -q "$ZSH"
+ builtin cd -q "$ZSH"
# Get the ohmyzsh git remote
command git remote -v | while read remote url _; do
@@ -185,7 +185,7 @@ function _omz::pr::test {
(
set -e
- cd -q "$ZSH"
+ builtin cd -q "$ZSH"
command git checkout "$branch" -- || {
_omz::log error "could not go back to the previous branch ('$branch')."